> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flatpeak.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a location status

> Retrieves the current status of a location.

<Info>This endpoint supports one of each tariff (commodity+import, commodity+export, non_commodity+import), matching all use cases supported by Connect.</Info>



## OpenAPI

````yaml api-reference/anode/flatpeak-api-spec-anode.json GET /locations/{id}/status
openapi: 3.0.3
info:
  description: Flatpeak API
  version: 2025-09-14.anode
  title: Flatpeak API
  termsOfService: https://flatpeak.com/legal
  contact:
    name: Technical Support
    email: support@flatpeak.com
    url: https://flatpeak.com/contact
  license:
    name: Apache 2.0
    url: https://flatpeak.com/legal
servers:
  - url: https://api.flatpeak.com
    description: Location
security: []
tags:
  - name: Consumption
    description: Consumption operations
  - name: Customers
    description: Customer operations
  - name: Devices
    description: Device operations
  - name: Meters
    description: Meter readings operations
  - name: Events
    description: Events operations
  - name: Login
    description: Bearer auth token operations
  - name: Connect
    description: Connect operations
  - name: Locations
    description: Location operations
  - name: Rates
    description: Rates operations
  - name: Costs
    description: Consumption cost calculations
  - name: Schedules
    description: Consumption schedules
  - name: Tariffs
    description: Tariff operations
  - name: Slots
    description: Slots operations
externalDocs:
  description: Location documentation
  url: https://docs.flatpeak.com
paths:
  /locations/{id}/status:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: Flatpeak `location_id`
    get:
      tags:
        - Locations
      summary: Retrieve a location status
      description: >-
        Retrieves the current status of a location.


        <Info>This endpoint supports one of each tariff (commodity+import,
        commodity+export, non_commodity+import), matching all use cases
        supported by Connect.</Info>
      operationId: get-location-status
      responses:
        '200':
          $ref: '#/components/responses/LocationStatus'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '429':
          $ref: '#/components/responses/429'
      security:
        - bearerAuth: []
components:
  responses:
    '403':
      description: 403 forbidden
      content:
        application/json:
          schema:
            type: object
            x-examples:
              Example:
                message: Bad credentials
            properties:
              object:
                type: string
                example: error
                x-stoplight:
                  id: gria4ysjd9zhk
                default: error
              type:
                type: string
                x-stoplight:
                  id: 7mhtfljidnqcu
                example: invalid_request
                default: invalid_request
              code:
                type: string
                x-stoplight:
                  id: sy7ljpdy5wdes
                example: access_denied
                default: access_denied
              time_created:
                type: string
                x-stoplight:
                  id: 84d5biv9dfbc9
                format: date-time
                example: '2025-01-01T00:00:00Z'
            required:
              - object
              - type
              - code
          examples: {}
    '404':
      description: 404 response
      content:
        application/json:
          schema:
            type: object
            x-examples:
              Example:
                message: Not Found
            properties:
              object:
                type: string
                example: error
                x-stoplight:
                  id: qyc690tqd4dnh
                default: error
              type:
                type: string
                x-stoplight:
                  id: 6sog2aaccgb59
                example: invalid_request
                default: invalid_request
              code:
                type: string
                x-stoplight:
                  id: 6l9jrgodwxi0c
                example: not_found
                default: not_found
              time_created:
                type: string
                x-stoplight:
                  id: 1ywndy1nsshcz
                example: '2025-01-01T00:00:00Z'
                format: date-time
          examples: {}
    '429':
      description: 429 Too many requests
      content:
        application/json:
          schema:
            type: object
            properties:
              object:
                type: string
                x-stoplight:
                  id: irkmp11gg6sjx
                example: error
                default: error
              type:
                type: string
                x-stoplight:
                  id: u0gq12cizam3d
                default: rate_limit
                example: rate_limit
              code:
                type: string
                x-stoplight:
                  id: uh7x9404d4w3q
                default: too_many_requests
                example: too_many_requests
              message:
                type: string
                x-stoplight:
                  id: 9z8h79l1coblc
                default: Too many requests. Please retry after a short delay.
                example: Too many requests. Please retry after a short delay.
              time_created:
                type: string
                x-stoplight:
                  id: ea7o3uvdojrtc
                format: date-time
                default: '2026-01-29T17:11:52Z'
                example: '2026-01-29T17:11:52Z'
            required:
              - object
              - type
              - code
              - message
    LocationStatus:
      description: Response example
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/LocationStatus'
  schemas:
    LocationStatus:
      type: object
      x-examples:
        Example:
          id: loc_641b90b758fb8e6293716e40
          object: location_status
          reference_id: LOC1234567890
          customer_id: cus_65e421d1daa4a24082b4f590
          live_mode: true
          timezone: Europe/London
          currency_code: EUR
          postal_address:
            address_line1: 1-3
            address_line2: Strand
            city: London
            state: Greater London
            post_code: WC2N 5EH
            country_code: GB
          geo_location:
            lat: 50.12345
            lng: -1.23456
          rates:
            import:
              yesterday:
                - valid_from: '2022-12-28T00:00:00Z'
                  valid_to: '2022-12-29T00:00:00Z'
                  tariff:
                    rate: 4.998
                    confidence: 1
              today:
                - valid_from: '2022-12-29T00:00:00Z'
                  valid_to: '2022-12-30T00:00:00Z'
                  tariff:
                    rate: 4.998
                    confidence: 1
              tomorrow:
                - valid_from: '2022-12-30T00:00:00Z'
                  valid_to: '2022-12-31T00:00:00Z'
                  tariff:
                    rate: 4.998
                    confidence: 1
            export: null
          tariff_status:
            commodity_import:
              status: CONNECTED
              connection_type: DIRECT
              provider:
                id: prv_63a6087272921ef075a8fd3e
                display_name: Octopus Energy
                logo_url: https://s.flatpeak.com/83b06a60e38c2.png
              tariff_name: Flexible Go 2023
            commodity_export:
              status: NOT_CONNECTED
              connection_type: ''
              provider:
                id: ''
                display_name: ''
                logo_url: ''
              tariff_name: ''
            non_commodity_import:
              elements: []
              status: NOT_CONNECTED
          time_created: '2023-11-07T05:31:56Z'
          account_id: acc_661677911f2197045e6cf1b1
      properties:
        id:
          type: string
          description: Flatpeak unique location ID
          example: loc_641b90b758fb8e6293716e40
        object:
          type: string
          description: Represents the object’s type. I.e. location_status.
          example: location_status
        live_mode:
          type: boolean
          description: >-
            Has the value true if the object exists in live mode or the value
            false if the object exists in test mode.
          default: true
        tariff_status:
          type: object
          description: Tariff status object.
          properties:
            commodity_import:
              type: object
              description: Status of commodity import tariff.
              properties:
                status:
                  type: string
                  description: >-
                    Status of tariff. Possible values are `CONNECTED`,
                    `NOT_CONNECTED`, `PENDING`, `ERROR` or `UPGRADE`.
                  example: CONNECTED
                connection_type:
                  type: string
                  description: >-
                    Represents tariff connection type. Set automatically by
                    Flatpeak depending on how the tariff was created.
                  example: DIRECT
                provider:
                  type: object
                  description: Information about the provider of the tariff.
                  properties:
                    id:
                      type: string
                      description: Flatpeak ID of the provider this tariff belongs to.
                      example: prv_63a6087272921ef075a8fd3e
                    display_name:
                      type: string
                      description: Provider display name.
                      example: Octopus Energy
                    logo_url:
                      type: string
                      description: Image URL for the logo of the provider.
                      example: https://s.flatpeak.com/83b06a60e38c2.png
                tariff:
                  type: object
                  x-stoplight:
                    id: ptd15s772g9oe
                  description: Information about the tariff.
                  properties:
                    id:
                      type: string
                      x-stoplight:
                        id: 6ycp65n614sqv
                      description: Unique tariff ID.
                      example: trf_66ba584eb6923d7c3b942ef6
                    display_name:
                      type: string
                      x-stoplight:
                        id: pzj2ujwqgv1tk
                      description: Tariff display name.
                      example: Flexible Go 2023
                    structure_type:
                      type: string
                      x-stoplight:
                        id: 6ycp65n614sqv
                      example: FIXED
                      description: >-
                        | Tariff type | Description |

                        | ----------- | ----------- |

                        | `FIXED` | A flat rate tariff. |

                        | `TIME_OF_DAY` | A tariff that varies by time of day
                        and other cyclical factors such as day of week month or
                        season. |

                        | `STATIC` | A tariff with FIXED or TIME_OF_DAY
                        structure where the exact time segmentation cannot be
                        determined. |

                        | `MARKET` | A tariff that follows wholesale market
                        prices. |

                        | `DYNAMIC` | A continuously changing tariff that is not
                        directly tied to wholesale market prices. |
                    contract_end_date:
                      type: string
                      x-stoplight:
                        id: cnwmyn0schnjw
                      format: date-time
                      example: '2024-01-01T00:00:00Z'
                      description: >-
                        Indicates end date of the energy supply contract between
                        customer and provider.
            commodity_export:
              type: object
              description: Status of commodity export tariff.
              properties:
                status:
                  type: string
                  description: >-
                    Status of tariff. Possible values are `CONNECTED`,
                    `NOT_CONNECTED`, `PENDING`, `ERROR` or `UPGRADE`.
                  example: 'CONNECTED '
                connection_type:
                  type: string
                  description: >-
                    Represents tariff connection type. Set automatically by
                    Flatpeak depending on how tariff was created.
                  example: MANUAL
                provider:
                  type: object
                  description: Information about the provider of the tariff.
                  properties:
                    id:
                      type: string
                      description: Flatpeak ID of the provider this tariff belongs to.
                      example: prv_63374fb151ea87296cd39ced
                    display_name:
                      type: string
                      description: Provider display name.
                      example: E.ON Next
                    logo_url:
                      type: string
                      description: Image URL for the logo of the provider.
                      example: https://s.flatpeak.com/83b06a60e38c2.png
                tariff:
                  type: object
                  x-stoplight:
                    id: r4w16eoi52jcs
                  description: Information about the tariff.
                  properties:
                    id:
                      type: string
                      x-stoplight:
                        id: o81nml3qglnm4
                      description: Unique tariff ID.
                      example: trf_66ba584eb6923d7c3b942ef6
                    display_name:
                      type: string
                      x-stoplight:
                        id: dsyzxi2hvomvb
                      description: Tariff display name.
                      example: Export 2023
                    structure_type:
                      type: string
                      x-stoplight:
                        id: dsyzxi2hvomvb
                      description: >-
                        | Tariff type | Description |

                        | ----------- | ----------- |

                        | `FIXED` | A flat rate tariff. |

                        | `TIME_OF_DAY` | A tariff that varies by time of day
                        and other cyclical factors such as day of week month or
                        season. |

                        | `STATIC` | A tariff with FIXED or TIME_OF_DAY
                        structure where the exact time segmentation cannot be
                        determined. |

                        | `MARKET` | A tariff that follows wholesale market
                        prices. |

                        | `DYNAMIC` | A continuously changing tariff that is not
                        directly tied to wholesale market prices. |
                      example: TIME_OF_DAY
                    contract_end_date:
                      type: string
                      x-stoplight:
                        id: is0832ne2l48u
                      format: date-time
                      example: '2024-01-01T00:00:00Z'
                      description: >-
                        Indicates end date of the energy supply contract between
                        customer and provider.
            non_commodity_import:
              type: object
              description: Status of non-commodity import tariff.
              properties:
                status:
                  type: string
                  example: ERROR
                  description: >-
                    Status of tariff. Possible values are CONNECTED,
                    NOT_CONNECTED, PENDING or ERROR.
                connection_type:
                  type: string
                  x-stoplight:
                    id: 2x0p3oam2h22l
                  example: DIRECT
                  description: >-
                    Represents tariff connection type. Set automatically by
                    Flatpeak depending on how the tariff was created.
                provider:
                  type: object
                  x-stoplight:
                    id: 3fy56bsm4p2qh
                  description: Information about the provider of the tariff.
                  properties:
                    id:
                      type: string
                      x-stoplight:
                        id: 9a61rlh4nv6fk
                      example: prv_63a6087272921ef075a8fd3e
                      description: Flatpeak ID of the provider this tariff belongs to.
                    display_name:
                      type: string
                      x-stoplight:
                        id: xnafu72ypr1oh
                      example: Octopus Energy
                      description: Provider display name.
                    logo_url:
                      type: string
                      x-stoplight:
                        id: acwl8t4qa3tv5
                      example: https://s.flatpeak.com/83b06a60e38c2.png
                      description: Image URL for the logo of the provider.
                tariff:
                  type: object
                  x-stoplight:
                    id: 2vxss1yznuyup
                  description: Information about the tariff.
                  properties:
                    id:
                      type: string
                      x-stoplight:
                        id: 3jrvgu19amg91
                      example: trf_6728b0e6b6e6106dd5a88f8d
                      description: Unique tariff ID.
                    display_name:
                      type: string
                      x-stoplight:
                        id: juumjj0bc0o8g
                      example: Grid Fee
                      description: Tariff display name.
                    structure_type:
                      type: string
                      x-stoplight:
                        id: 3jrvgu19amg91
                      example: FIXED
                      description: >-
                        | Tariff type | Description |

                        | ----------- | ----------- |

                        | `FIXED` | A flat rate tariff. |

                        | `TIME_OF_DAY` | A tariff that varies by time of day
                        and other cyclical factors such as day of week month or
                        season. |

                        | `STATIC` | A tariff with FIXED or TIME_OF_DAY
                        structure where the exact time segmentation cannot be
                        determined. |

                        | `MARKET` | A tariff that follows wholesale market
                        prices. |

                        | `DYNAMIC` | A continuously changing tariff that is not
                        directly tied to wholesale market prices. |
                    contract_end_date:
                      type: string
                      x-stoplight:
                        id: f31zco3daip0e
                      format: date-time
                      example: '2024-01-01T00:00:00Z'
                      description: >-
                        Indicates end date of the energy supply contract between
                        customer and provider.
            non_commodity_export:
              type: object
              x-stoplight:
                id: oe4h5g4xbevhd
              description: >-
                Status of non-commodity export tariff which is disabled as there
                are no known cases of this tariff type.
              properties:
                status:
                  type: string
                  x-stoplight:
                    id: w8k8ykv841e0e
                  example: NOT_SUPPORTED
                  description: Status of tariff which is currently `NOT_SUPPORTED`.
            local:
              type: object
              x-stoplight:
                id: e1dzsessaszyt
              description: Status of local generation tariff which is in beta.
              properties:
                status:
                  type: string
                  x-stoplight:
                    id: a3xc60w5llu4o
                  example: NOT_SUPPORTED
                  description: Status of tariff which is currently `NOT_SUPPORTED`.
        time_created:
          type: string
          format: date-time
          description: Indicates time when this location was created.
          example: '2023-11-07T05:31:56Z'
        account_id:
          type: string
          description: Flatpeak account ID.
          example: acc_661677911f2197045e6cf1b1
      required:
        - id
        - object
        - live_mode
        - time_created
        - account_id
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authenticate with `bearer` you obtained from
        [authentication](/api-reference/anode/authentication) endpoint.

````